<template>




  <ul>
    <li><a class="active" router to="/about">Home</a></li>
    <li><a href="#news">News</a></li>
    <li><a href="#contact">Contact</a></li>
    <li><a href="#about">About</a></li>
  </ul>






</template>

<script>
// import Vue from 'vue'
import Router from 'vue-router';
const router = new Router();


export default {
name: "dataTable",
  router,
 methods: {

   /* initialLoad() {
      // console.log('put', putUrl + this.company);
      this.data = {
        name: '',
        type: '',
        business: '',
        no_of_owners: '',
        address: '',
        city: '',
        pin: '',
        state: '',
        country: '',
        email: '',
        phone: '',
        gstin: '',
        uin: '',
        pan: '',
        tan: '',
        ib_url: '',
        logo: '',
        bank_name: '',
        account_no: '',
        ifsc: '',
        company: this.company,
      };
      const compId = this.company;
      axios.get(baseUrl + putUrl + compId, this.config).then((response) => {
        console.log('res', response);
        this.data = response.data;
      })
          .catch((error) => {
            console.log(error);
          });
    },
    pickFile() {
      this.$refs.image.click();
    },
    onFilePicked(e) {
      const files = e.target.files;
      if (files[0] !== undefined) {
        this.data.logo = files[0].name;
        if (this.data.logo.lastIndexOf('.') <= 0) {
          return;
        }
        const fr = new FileReader();
        fr.readAsDataURL(files[0]);
        fr.addEventListener('load', () => {
          this.imageUrl = fr.result;
          console.log('logo', this.imageUrl);
          this.imageFile = files[0]; // this is an image file that can be sent to server...
        });
      } else {
        this.data.logo = '';
        this.imageFile = '';
        this.imageUrl = '';
      }
      console.log('logo', this.imageUrl);
    },
    // exit to table
    close() {
      router.go(-1);
    },
    next() {
      if (this.$refs.companyDetailsForm.validate()) {
        const compId = this.company;
        axios.put(baseUrl + putUrl + compId, this.data, this.config)
            .then(() => {
              this.$store.commit('changeSetUpRequired', 'company_details');
              const compSetUpArray = { complete: ['COMPANY_DETAILS'] };
              axios.put(baseUrl + setUpUrl, compSetUpArray, this.config)
                  .then((res) => {
                    console.log('complited', res);
                    // this.close();
                  })
                  .catch((error) => {
                    console.log(error);
                  });
              this.$router.push({
                path: '/ownerDetails',
              });
            })
            .catch((error) => {
              console.log(error);
            });
      }
    },
    update() {
      if (this.$refs.companyDetailsForm.validate()) {
        const idParams = this.company;
        this.data.contact_personsn = this.dataContPersId;
        axios.put(baseUrl + putUrl + idParams, this.data, this.config)
            .then(() => {
              this.close();
            })
            .catch((error) => {
              console.log(error);
            });
      }
    },

    // Check if visible from Access Control
    isVisible(field) {
      return this.hidden_fields.indexOf(field) === -1;
    },
    // Check if disabled from Access Control
    isDisabled(field) {
      return this.disabled_fields.indexOf(field) !== -1;
    },*/
  },

}
</script>

<style scoped>
ul {
  list-style-type: none;
  margin: 0;
  padding: 0;
  width: 25%;
  background-color: #f1f1f1;
  position: fixed;
  height: 100%;
  overflow: auto;
}

li a {
  display: block;
  color: #000;
  padding: 8px 16px;
  text-decoration: none;
}

li a.active {
  background-color: #4CAF50;
  color: white;
}

li a:hover:not(.active) {
  background-color: #555;
  color: white;
}
</style>